# OnnxRuntime: Ort::detail::TensorTypeAndShapeInfoImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::TensorTypeAndShapeInfoImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::TensorTypeAndShapeInfoImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

ONNXTensorElementDataType | GetElementType () const
| Wraps OrtApi::GetTensorElementType.
size_t | GetElementCount () const
| Wraps OrtApi::GetTensorShapeElementCount.
size_t | GetDimensionsCount () const
| Wraps OrtApi::GetDimensionsCount.
void | GetDimensions (int64_t *values, size_t values_count) const
| Wraps OrtApi::GetDimensions.
void | GetSymbolicDimensions (const char **values, size_t values_count) const
| Wraps OrtApi::GetSymbolicDimensions.
std::vector< int64_t > | GetShape () const
| Uses GetDimensionsCount & GetDimensions to return a std::vector of the shape.
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::TensorTypeAndShapeInfoImpl< T >::B = Base<T>

## Member Function Documentation

## GetDimensions()

template<typename T >

void Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetDimensions | ( | int64_t * | values,
|  | size_t | values_count
| ) |  | const

Wraps OrtApi::GetDimensions.

Deprecated:
  use GetShape() returning std::vector [[deprecated]] This interface is unsafe to use

## GetDimensionsCount()

template<typename T >

size_t Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetDimensionsCount | ( |  | ) | const

Wraps OrtApi::GetDimensionsCount.

## GetElementCount()

template<typename T >

size_t Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetElementCount | ( |  | ) | const

Wraps OrtApi::GetTensorShapeElementCount.

## GetElementType()

template<typename T >

ONNXTensorElementDataType Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetElementType | ( |  | ) | const

Wraps OrtApi::GetTensorElementType.

## GetShape()

template<typename T >

std::vector< int64_t > Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetShape | ( |  | ) | const

Uses GetDimensionsCount & GetDimensions to return a std::vector of the shape.

## GetSymbolicDimensions()

template<typename T >

void Ort::detail::TensorTypeAndShapeInfoImpl< T >::GetSymbolicDimensions | ( | const char ** | values,
|  | size_t | values_count
| ) |  | const

Wraps OrtApi::GetSymbolicDimensions.